站点管理

Notes
Expert level
The API key should be sent as a Bearer token in the Authorization header of the request. Get your API key.
列表

API endpoint:

GET
https://tj.6-7.cc/api/v1/websites

Request example:

curl --location --request GET 'https://tj.6-7.cc/api/v1/websites' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
Parameter
类型
描述
search
选择 string
The search query.
search_by
选择 string
搜索. Possible values are: domain for 域名. Defaults to: domain.
sort_by
选择 string
Sort by. Possible values are: id for Date created, domain for 域名. Defaults to: id.
sort
选择 string
Sort. Possible values are: desc for Descending, asc for Ascending. Defaults to: desc.
per_page
选择 int
统计结果每页显示数. Possible values are: 10, 25, 50, 100. Defaults to: 10.
显示

API endpoint:

GET
https://tj.6-7.cc/api/v1/websites/{id}

Request example:

curl --location --request GET 'https://tj.6-7.cc/api/v1/websites/{id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {api_key}'
保存

API endpoint:

POST
https://tj.6-7.cc/api/v1/websites

Request example:

curl --location --request POST 'https://tj.6-7.cc/api/v1/websites' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}' \
--data-urlencode 'domain={domain}'
Parameter
类型
描述
domain
必填 string
The domain name.
privacy
选择 integer
Stats page privacy. Possible values are: 0 for 公开, 1 for 不公开, 2 for 登录密码. Defaults to: 1.
password
选择 string
The password for the statistics page. Only works with privacy set to 2.
email
选择 integer
定期电子邮件报告 Possible values are: 0 for 禁用, 1 for 启用. Defaults to: 0.
exclude_bots
选择 integer
针对近期爬虫频繁访问用户网站的情况,引入全新智能算法,每日定时扫描网站应用下是否存在恶意爬虫并自动加入 Possible values are: 0 for 禁用, 1 for 启用. Defaults to: 1.
exclude_params
选择 string
Exclude URL query parameters from being tracked. 每行一个.
exclude_ips
选择 string
Exclude IPs from being tracked. 每行一个.
更新

API endpoint:

PUT PATCH
https://tj.6-7.cc/api/v1/websites/{id}

Request example:

curl --location --request PUT 'https://tj.6-7.cc/api/v1/websites/{id}' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Authorization: Bearer {api_key}'
Parameter
类型
描述
privacy
选择 integer
Stats page privacy. Possible values are: 0 for 公开, 1 for 不公开, 2 for 登录密码.
password
选择 string
The password for the statistics page. Only works with privacy set to 2.
email
选择 integer
定期电子邮件报告 Possible values are: 0 for 禁用, 1 for 启用.
exclude_bots
选择 integer
针对近期爬虫频繁访问用户网站的情况,引入全新智能算法,每日定时扫描网站应用下是否存在恶意爬虫并自动加入 Possible values are: 0 for 禁用, 1 for 启用.
exclude_params
选择 string
Exclude URL query parameters from being tracked. 每行一个.
exclude_ips
选择 string
Exclude IPs from being tracked. 每行一个.
删除

API endpoint:

DELETE
https://tj.6-7.cc/api/v1/websites/{id}

Request example:

curl --location --request DELETE 'https://tj.6-7.cc/api/v1/websites/{id}' \
--header 'Authorization: Bearer {api_key}'